> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authenticated Identity

> Retrieves information about the currently authenticated identity.

`Unary` · [`Identity`](/docs/api-reference/generated/identity/overview)

Retrieves information about the currently authenticated identity.

Use this method to:

* Get current user information
* Check authentication status
* Retrieve organization context
* Validate authentication principal

### Examples

* Get current identity:

  Retrieves details about the authenticated user.

  ```yaml theme={null}
  {}
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.IdentityService/GetAuthenticatedIdentity
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.IdentityService/GetAuthenticatedIdentity" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{}'
  ```

  ```python Python theme={null}
  import gitpod.v1.identity_pb2 as identity_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = identity_pb2.GetAuthenticatedIdentityRequest()
  response = ona.services.identity.get_authenticated_identity(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetAuthenticatedIdentityRequestSchema } from "@gitpod/sdk/gitpod/v1/identity_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetAuthenticatedIdentityRequestSchema, {});
    const response = await ona.services.identity.getAuthenticatedIdentity(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetAuthenticatedIdentityRequest{})
  	response, err := ona.Services.Identity.GetAuthenticatedIdentity(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {}
  ```
</CodeGroup>

## Request

`gitpod.v1.GetAuthenticatedIdentityRequest`

This message has no fields.

## Response

`gitpod.v1.GetAuthenticatedIdentityResponse`

| Field              | Type                               | Required | Description                                 |
| ------------------ | ---------------------------------- | -------- | ------------------------------------------- |
| `subject`          | [Subject](#type-gitpod-v1-subject) | No       | subject is the identity of the current user |
| `organizationId`   | string                             | No       |                                             |
| `organizationTier` | string                             | No       |                                             |

## Related types

<a id="type-gitpod-v1-subject" />

<Accordion title="Subject">
  `gitpod.v1.Subject`

  | Field       | Type                                   | Required | Description                                                                      |
  | ----------- | -------------------------------------- | -------- | -------------------------------------------------------------------------------- |
  | `id`        | string                                 | No       | id is the UUID of the subject Constraints: `ignore=1, string.uuid=true`.         |
  | `principal` | [Principal](#enum-gitpod-v1-principal) | No       | Principal is the principal of the subject Constraints: `enum.defined_only=true`. |
</Accordion>

<a id="enum-gitpod-v1-principal" />

<Accordion title="Principal">
  | Value                       | Number | Description |
  | --------------------------- | -----: | ----------- |
  | `PRINCIPAL_UNSPECIFIED`     |      0 |             |
  | `PRINCIPAL_ACCOUNT`         |      1 |             |
  | `PRINCIPAL_USER`            |      2 |             |
  | `PRINCIPAL_RUNNER`          |      3 |             |
  | `PRINCIPAL_ENVIRONMENT`     |      4 |             |
  | `PRINCIPAL_SERVICE_ACCOUNT` |      5 |             |
  | `PRINCIPAL_RUNNER_MANAGER`  |      6 |             |
</Accordion>
